<div class="move-referral ">
  <app-content-banner [isDashboard]="false" pageName="Move Referral"></app-content-banner>
  <form [formGroup]="moveReferralForm" (ngSubmit)="onSubmit()">
    <mat-card class="mvrf-main-card mat-elevation-z0">
      <mat-card-header fxLayout="column" fxLayoutGap="10px">
        <div fxLayout="row" class="second-header-filter">
          <span><b>First Name: </b> <span>{{clientInfo.firstName}}</span></span>
          <span><b>Last Name: </b> <span>{{clientInfo.lastName}}</span></span>
          <span><b>DOB: </b> <span>{{clientInfo.dob}}</span></span>
          <span><b>SSN: </b> <span>{{clientInfo.ssn}}</span></span>
          <span><b>Source System: </b> <span>{{clientInfo.clientSourceDescription}}</span></span>
          <span><b>Client#: </b> <span>{{clientInfo.clientID}}</span></span>
        </div>
      </mat-card-header>



      <mat-card-content>
        <div class="example-small-box " fxLayout="column">
            <mat-accordion>
                <mat-expansion-panel [expanded]="true">
                  <mat-expansion-panel-header>
                    <mat-panel-title>
                      <span>
                          Application Details
                      </span>
                    </mat-panel-title>
                  </mat-expansion-panel-header>
                      <ag-grid-angular #agGrid id="myGrid" style="width: 100%" class="ag-theme-balham my-grid" [columnDefs]="columnDefs"
                        [defaultColDef]="defaultColDef" [rowData]="determinationInfoData" [rowSelection]="rowSelection"
                        [suppressRowClickSelection]="true" [animateRows]="true" [gridOptions]="determinationinfogridOptions"
                        [pagination]="true" [paginationPageSize]="10" (rowSelected)="onDeterminationInfogridRowSelected($event)"
                        [frameworkComponents]="frameworkComponents" (gridReady)="onGridReady($event)" (firstDataRendered)="onFirstDataRendered($event)"
                        [overlayLoadingTemplate]="overlayLoadingTemplate" [overlayNoRowsTemplate]="overlayNoRowsTemplate"></ag-grid-angular>
                </mat-expansion-panel>
              </mat-accordion>
        </div>
      </mat-card-content>

      <mat-card-content *ngIf="enableUpdate === true">
        <div class="example-small-box" fxLayout="column">
          <div class="example-container ">
               
            <div fxLayout="row">
                <div fxFlex="30" class="col">
                    <label class="lblstyle required-label-color" style="padding-left: 20px"  fxFlex="30">To Client # : </label>
                    <mat-form-field appearance="outline" fxFlex="70">
                        <input matInput type="text" class="txtuppercase"
                            formControlName="toClientNoCtrl" maxlength="7" digitOnly  (blur)="clientNoValidate()" />
                    </mat-form-field>
                  </div>
                  <div fxFlex="30" class="col">
                      <label class="lblstyle required-label-color" style="padding-left: 20px"  fxFlex="30">First Name : </label>
                      <mat-form-field appearance="outline" fxFlex="70">
                          <input matInput name="firstName" formControlName="firstNameCtrl" required maxlength="50"
                            minlength="2">
                        </mat-form-field>
                    </div>
                    <div fxFlex="30" class="col">
                        <label class="lblstyle required-label-color" style="padding-left: 20px"  fxFlex="30">Last Name : </label>
                        <mat-form-field appearance="outline" fxFlex="70">
                            <input matInput name="lastName" formControlName="lastNameCtrl" required maxlength="50"
                              minlength="2">
                          </mat-form-field>
                      </div>
                    </div>
                    <div fxLayout="row">  
                      <div fxFlex="30" class="col">
                          <label class="lblstyle required-label-color" style="padding-left: 20px"  fxFlex="30">SSN : </label>
                          <mat-form-field appearance="outline" fxFlex="70">
                              <input matInput name="ssn" formControlName="ssnCtrl" mask="000-00-0000" required
                                [showMaskTyped]="true">
                            </mat-form-field>
                      </div>
                        <div fxFlex="30" class="col">
                            <label class="lblstyle required-label-color" style="padding-left: 20px"  fxFlex="30">DOB : </label>
                            <mat-form-field appearance="outline" fxFlex="70">
                                <input type="text" matInput formControlName="dobCtrl" required
                                  [textMask]="mask" placeholder="MM/DD/YYYY">
                              </mat-form-field>
                          </div>
                          <div fxFlex="30" class="col">
                              <label class="lblstyle required-label-color" style="padding-left: 20px"  fxFlex="30">Gender : </label>
                              <mat-form-field appearance="outline" fxFlex="70">
                                  <mat-select formControlName="genderCtrl" placeholder="Select">
                                    <mat-option *ngFor="let gender of genders" [value]="gender.refGroupDetailID">
                                      {{ gender.refGroupDetailDescription }}
                                    </mat-option>
                                  </mat-select>
                                </mat-form-field>
                            </div>
            </div>
          </div>
        </div>

      </mat-card-content>
      <div fxFlex fxLayout="row" style="margin: 5px; margin-top: 20px; " fxLayoutGap="10px">
        <div *ngIf="enableUpdate === true"><button  mat-raised-button color="primary" style="width: 130px;" (click)="OnSave($event)" disabled="{{!isSaveEnable}}">Move Referral</button></div>
        <div *ngIf="enableUpdate === true" ><button  mat-raised-button color="primary" type="button" style="width: 130px;" (click)="CreateClient()" disabled="{{isSaveEnable}}">Create client</button></div>
        <div *ngIf="enableUpdate === true"><button  mat-raised-button color="primary" type="button" style="width: 130px;" (click)="clearPage()">Clear</button></div>
        <div ><button  mat-raised-button color="primary" type="button" style="width: 130px;" (click)="exitPage()">Exit</button></div>
    </div>
      
    </mat-card>
  </form>
</div>